### Function

# ICalGLib Duration from_times

since: 4.0

#### Declaration [src]

    ICalDuration*
    i_cal_duration_from_times (
      ICalTime* t1,
      ICalTime* t2
    )

#### Description [src]

Creates a duration between two time endpoints.

Available since: 4.0

#### Parameters

`t1`

  Type: `ICalTime`

  The subtracted `ICalTime`.

  The data is owned by the caller of the function.

`t2`

  Type: `ICalTime`

  The subtracting `ICalTime`.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalDuration`

The `ICalDuration` between two `ICalTime`.

The caller of the function takes ownership of the data, and is responsible for freeing it.